<?php
/**
 * Plugin Name:       "Post" para "Notícia"
 * Plugin URI:        https://felipeelia.com.br/como-trocar-post-por-noticia-no-wordpress/
 * Description:       Altera o nome do tipo de conteúdo "Post" para "Notícia".
 * Version:           0.0.1
 * Author:            Felipe Elia
 * Author URI:        https://felipeelia.com.br/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       post-para-noticia
 */

defined( 'ABSPATH' ) || exit;

 /**
  * Transforma "posts" em "notícias"
  * @param  stdObject $labels Objeto com as etiquetas padrão de Posts.
  * @return stdObject         Objeto com as etiquetas modificadas
  */
function post_para_noticia( $labels ) {
	$labels->name                  = __( 'Notícias', 'post-para-noticia' );
	$labels->singular_name         = __( 'Notícia', 'post-para-noticia' );
	$labels->add_new               = __( 'Adicionar nova', 'post-para-noticia' );
	$labels->add_new_item          = __( 'Adicionar nova notícia', 'post-para-noticia' );
	$labels->edit_item             = __( 'Editar notícia', 'post-para-noticia' );
	$labels->new_item              = __( 'Nova notícia', 'post-para-noticia' );
	$labels->view_item             = __( 'Ver notícia', 'post-para-noticia' );
	$labels->view_items            = __( 'Ver notícias', 'post-para-noticia' );
	$labels->search_items          = __( 'Pesquisar notícia', 'post-para-noticia' );
	$labels->not_found             = __( 'Nenhuma notícia encontrada.', 'post-para-noticia' );
	$labels->not_found_in_trash    = __( 'Nenhuma notícia encontrada na lixeira.', 'post-para-noticia' );
	$labels->all_items             = __( 'Todas as notícias', 'post-para-noticia' );
	$labels->archives              = __( 'Arquivos de notícias', 'post-para-noticia' );
	$labels->attributes            = __( 'Atributos da notícia', 'post-para-noticia' );
	$labels->insert_into_item      = __( 'Inserir na notícia', 'post-para-noticia' );
	$labels->uploaded_to_this_item = __( 'Anexadas a esta notícia', 'post-para-noticia' );
	$labels->filter_items_list     = __( 'Filtrar lista de notícias', 'post-para-noticia' );
	$labels->items_list_navigation = __( 'Navegação da lista de notícias', 'post-para-noticia' );
	$labels->items_list            = __( 'Lista de notícias', 'post-para-noticia' );
	$labels->menu_name             = __( 'Notícias', 'post-para-noticia' );
	$labels->name_admin_bar        = __( 'Notícia', 'post-para-noticia' );
	return $labels;
}
add_filter( 'post_type_labels_post', 'post_para_noticia' );
